RK-J - Feature #2418

Clicking internal URLs and purple link results inside a booklet to behave like Refresher
06/10/2022 04:38 AM - Ram Kordale

Status: Closed Start date: 07/27/2022
Priority: Normal Due date: 07/27/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 4.00 hours
Target version: 1-RK-J-1 Spent time: 8.00 hours
Description

When we click on such a link, we are taken to the document page. This experience is very different than the booklet experience.

If the link that is being opened is inside the booklet, just navigate within the booklet to the page. This is the same behaviour as if user
clicked on that section in the LHS TOC.

If the link that is being opened is not inside the booklet, provide the same experience (that overlaps 10% of LHS TOC and 80% of
center content) as current refresher.

Subtasks:
Task # 2561: Find out how can we enable ngbtooltip on the dynamic html. Closed

History

#1 - 06/10/2022 04:41 AM - Ram Kordale

- Description updated

#2 - 06/10/2022 04:56 AM - Rishabh Sharma

- Status changed from New to In Progress

#3 - 06/23/2022 12:12 PM - Ram Kordale
- Priority changed from High to Urgent

#4 - 07/08/2022 02:40 PM - Ayush Khandelwal
- Tracker changed from Feature to Task

- Status changed from In Progress to New

#5 - 07/08/2022 02:40 PM - Ayush Khandelwal

- Tracker changed from Task to Feature

#6 - 07/08/2022 02:40 PM - Ayush Khandelwal
- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#7 - 07/15/2022 05:41 AM - Ram Kordale
- Priority changed from Urgent to High

#8 - 07/27/2022 05:08 AM - Ayush Khandelwal
- Due date set to 07/29/2022

#9 - 07/28/2022 01:25 PM - Ayush Khandelwal

- Status changed from New to In Progress

#10 - 07/28/2022 01:25 PM - Ayush Khandelwal
- Estimated time set to 4.00 h

#11 - 07/29/2022 05:20 AM - Ayush Khandelwal

- Status changed from In Progress to Resolved
#12 - 07/29/2022 05:21 AM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Ayush Khandelwal to Ram Kordale
Working as expected

#13 - 08/01/2022 04:51 AM - Ram Kordale
- Status changed from Feedback to Closed
